Bug 127173 - ldap.attrmap maps samba v2 schema but distribution ships with samba v3
Summary: ldap.attrmap maps samba v2 schema but distribution ships with samba v3
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-02 22:23 UTC by Paul Bender
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-05 10:01:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Bender 2004-07-02 22:23:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The /etc/raddb/ldap.attrmap file maps three FreeRADIUS attributes from
the Samba LDAP schema: LM-Password, NT-Passwords and
SMB-Account-CTRL-TEXT. It maps the Samba v2 LDAP schema attributes
(lmPassword, ntPassword and acctFlags) rather than the Samba v3 LDAP
schema attributes (sambaLMPassword, sambaNTPassword and
sambaAcctFlags). However, Fedora Core ships with Samba v3. Therefore,
it should map the Samba v3 schema attributes.w

Version-Release number of selected component (if applicable):
freeradius-1.0.0-0.pre3.1

How reproducible:
Always

Steps to Reproduce:
1. Install samba
2. Install freeradius
3. Compare the three Samba attributes found in /etc/raddb/ldap.attrmap
with the attributes in /usr/share/doc/samba-3.0.3/LDAP/samba.schema.
    

Actual Results:  The three Samba attributes found in
/etc/raddb/ldap.attrmap do not match the attributes in
/usr/share/doc/samba-3.0.3/LDAP/samba.schema.

Expected Results:  The three Samba attributes found in
/etc/raddb/ldap.attrmap should match the attributes in
/usr/share/doc/samba-3.0.3/LDAP/samba.schema.

Additional info:

Comment 1 Thomas Woerner 2004-07-05 10:01:34 UTC
Fixed in rawhide in rpm freeradius-1.0.0-0.pre3.2 or newer.


Note You need to log in before you can comment on or make changes to this bug.